Clusters - Update
Uppdaterar ett befintligt kluster. Begärandetexten kan innehålla en eller flera egenskaper från klusterdefinitionen.
PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DBforPostgreSQL/serverGroupsv2/{clusterName}?api-version=2023-03-02-preview
URI-parametrar
| Namn | I | Krävs | Typ | Beskrivning |
|---|---|---|---|---|
|
cluster
|
path | True |
string minLength: 3maxLength: 40 pattern: ^(?![0-9]+$)(?!-)[a-z0-9-]{3,40}(? |
Namnet på klustret. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
Namnet på resursgruppen. Namnet är skiftlägesokänsligt. |
|
subscription
|
path | True |
string (uuid) |
ID för målprenumerationen. Värdet måste vara ett UUID. |
|
api-version
|
query | True |
string minLength: 1 |
DEN API-version som ska användas för den här åtgärden. |
Begäranarorgan
| Namn | Typ | Beskrivning |
|---|---|---|
| identity |
Beskriver klustrets identitet. |
|
| properties.administratorLoginPassword |
string (password) |
Lösenordet för administratörsinloggningen. Varje kluster skapas med fördefinierade administrativa roller som kallas "citus". |
| properties.citusVersion |
string |
Citus-tilläggsversionen på alla klusterservrar. |
| properties.coordinatorEnablePublicIpAccess |
boolean |
Om offentlig åtkomst är aktiverad på koordinatorn. |
| properties.coordinatorServerEdition |
string |
Koordinatorversionen (standard: GeneralPurpose). |
| properties.coordinatorStorageQuotaInMb |
integer (int32) |
Lagringen av koordinatorn i MB. |
| properties.coordinatorVCores |
integer (int32) |
Antalet virtuella kärnor för koordinatorn (max: 96). |
| properties.enableHa |
boolean |
Om hög tillgänglighet (HA) är aktiverat eller inte för klustret. |
| properties.enableShardsOnCoordinator |
boolean |
Om distribuerade tabeller placeras på koordinator eller inte. Ska anges till "true" i kluster med en enda nod. Kräver horisontell ombalansering när värdet har ändrats. |
| properties.maintenanceWindow |
Underhållsperiod för ett kluster. |
|
| properties.nodeCount |
integer (int32) |
Antal arbetsnoder i klustret. När antalet noder är 0 representerar det en konfiguration med en enda nod med möjlighet att skapa distribuerade tabeller på noden. 2 eller fler arbetsnoder representerar konfiguration med flera noder. Värdet för antal noder får inte vara 1. |
| properties.nodeServerEdition |
string |
Utgåvan av en nod (standard: MemoryOptimized). |
| properties.nodeStorageQuotaInMb |
integer (int32) |
Lagringen i MB på varje arbetsnod. |
| properties.nodeVCores |
integer (int32) |
Beräkningen i virtuella kärnor på varje arbetsnod (max: 104). |
| properties.postgresqlVersion |
string |
Den större PostgreSQL-versionen på alla klusterservrar. |
| properties.preferredPrimaryZone |
string |
Prioriterad primär tillgänglighetszon (AZ) för alla klusterservrar. |
| tags |
object |
Programspecifika metadata i form av nyckel/värde-par. |
Svaren
| Namn | Typ | Beskrivning |
|---|---|---|
| 200 OK |
Azure-åtgärden har slutförts. |
|
| 202 Accepted |
Begäran har godkänts för behandling, men bearbetningen har ännu inte slutförts. Headers
|
|
| Other Status Codes |
Ett oväntat felsvar. |
Säkerhet
azure_auth
Azure Active Directory OAuth2-flöde.
Typ:
oauth2
Rinna:
implicit
Auktorisations-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scope
| Namn | Beskrivning |
|---|---|
| user_impersonation | personifiera ditt användarkonto |
Exempel
| Scale compute up or down |
| Scale out: Add new worker nodes |
| Scale up storage |
| Update multiple configuration settings of the cluster |
| Update or define maintenance window |
Scale compute up or down
Exempelförfrågan
Exempelsvar
{
"name": "testcluster",
"type": "Microsoft.DBforPostgreSQL/serverGroupsv2",
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestResourceGroup/providers/Microsoft.DBforPostgreSQL/serverGroupsv2/testcluster",
"location": "westus",
"properties": {
"aadAuthEnabled": "disabled",
"administratorLogin": "citus",
"citusVersion": "11.1",
"coordinatorEnablePublicIpAccess": true,
"coordinatorServerEdition": "GeneralPurpose",
"coordinatorStorageQuotaInMb": 2097152,
"coordinatorVCores": 16,
"dataEncryption": {
"type": "SystemManaged"
},
"databaseName": "citus",
"earliestRestoreTime": "2020-09-14T00:00:37.467Z",
"enableHa": false,
"enableShardsOnCoordinator": false,
"maintenanceWindow": {
"customWindow": "Disabled",
"dayOfWeek": 0,
"startHour": 0,
"startMinute": 0
},
"nodeCount": 3,
"nodeEnablePublicIpAccess": false,
"nodeServerEdition": "MemoryOptimized",
"nodeStorageQuotaInMb": 2097152,
"nodeVCores": 16,
"passwordEnabled": "enabled",
"postgresqlVersion": "14",
"preferredPrimaryZone": "1",
"privateEndpointConnections": [],
"provisioningState": "Succeeded",
"readReplicas": [],
"serverNames": [
{
"name": "testcluster1-c",
"fullyQualifiedDomainName": "testcluster1-c.postgres.database.azure.com"
},
{
"name": "testcluster1-w0",
"fullyQualifiedDomainName": "testcluster1-w0.postgres.database.azure.com"
},
{
"name": "testcluster1-w1",
"fullyQualifiedDomainName": "testcluster1-w1.postgres.database.azure.com"
},
{
"name": "testcluster1-w2",
"fullyQualifiedDomainName": "testcluster1-w2.postgres.database.azure.com"
}
],
"sourceResourceId": null,
"state": "Ready"
},
"systemData": {
"createdAt": "2020-01-01T17:18:19.1234567Z",
"createdBy": "user1",
"createdByType": "User",
"lastModifiedAt": "2020-01-02T17:18:19.1234567Z",
"lastModifiedBy": "user2",
"lastModifiedByType": "User"
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/providers/Microsoft.DBforPostgreSQL/locations/westus/azureAsyncOperation/e276a03a-1770-4549-86f5-0edffae8997c?api-version=2023-03-02-preview
Location: https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/providers/Microsoft.DBforPostgreSQL/locations/westus/operationResults/e276a03a-1770-4549-86f5-0edffae8997c?api-version=2023-03-02-preview
{
"name": "testcluster",
"type": "Microsoft.DBforPostgreSQL/serverGroupsv2",
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestResourceGroup/providers/Microsoft.DBforPostgreSQL/serverGroupsv2/testcluster",
"location": "westus",
"properties": {
"aadAuthEnabled": "disabled",
"administratorLogin": "citus",
"citusVersion": "11.1",
"coordinatorEnablePublicIpAccess": true,
"coordinatorServerEdition": "GeneralPurpose",
"coordinatorStorageQuotaInMb": 2097152,
"coordinatorVCores": 16,
"dataEncryption": {
"type": "SystemManaged"
},
"databaseName": "citus",
"earliestRestoreTime": "2020-09-14T00:00:37.467Z",
"enableHa": false,
"enableShardsOnCoordinator": false,
"maintenanceWindow": {
"customWindow": "Disabled",
"dayOfWeek": 0,
"startHour": 0,
"startMinute": 0
},
"nodeCount": 3,
"nodeEnablePublicIpAccess": false,
"nodeServerEdition": "MemoryOptimized",
"nodeStorageQuotaInMb": 2097152,
"nodeVCores": 16,
"passwordEnabled": "enabled",
"postgresqlVersion": "14",
"preferredPrimaryZone": "1",
"privateEndpointConnections": [],
"provisioningState": "Succeeded",
"readReplicas": [],
"serverNames": [
{
"name": "testcluster1-c",
"fullyQualifiedDomainName": "testcluster1-c.postgres.database.azure.com"
},
{
"name": "testcluster1-w0",
"fullyQualifiedDomainName": "testcluster1-w0.postgres.database.azure.com"
},
{
"name": "testcluster1-w1",
"fullyQualifiedDomainName": "testcluster1-w1.postgres.database.azure.com"
},
{
"name": "testcluster1-w2",
"fullyQualifiedDomainName": "testcluster1-w2.postgres.database.azure.com"
}
],
"sourceResourceId": null,
"state": "Ready"
},
"systemData": {
"createdAt": "2020-01-01T17:18:19.1234567Z",
"createdBy": "user1",
"createdByType": "User",
"lastModifiedAt": "2020-01-02T17:18:19.1234567Z",
"lastModifiedBy": "user2",
"lastModifiedByType": "User"
}
}
Scale out: Add new worker nodes
Exempelförfrågan
Exempelsvar
{
"name": "testcluster",
"type": "Microsoft.DBforPostgreSQL/serverGroupsv2",
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestResourceGroup/providers/Microsoft.DBforPostgreSQL/serverGroupsv2/testcluster",
"location": "westus",
"properties": {
"aadAuthEnabled": "disabled",
"citusVersion": "11.1",
"coordinatorEnablePublicIpAccess": true,
"coordinatorServerEdition": "GeneralPurpose",
"coordinatorStorageQuotaInMb": 524288,
"coordinatorVCores": 4,
"dataEncryption": {
"type": "SystemManaged"
},
"databaseName": "citus",
"earliestRestoreTime": null,
"enableGeoBackup": false,
"enableHa": true,
"enableShardsOnCoordinator": false,
"maintenanceWindow": {
"customWindow": "Disabled",
"dayOfWeek": 0,
"startHour": 0,
"startMinute": 0
},
"nodeCount": 2,
"nodeEnablePublicIpAccess": false,
"nodeServerEdition": "MemoryOptimized",
"nodeStorageQuotaInMb": 524288,
"nodeVCores": 8,
"passwordEnabled": "enabled",
"postgresqlVersion": "15",
"preferredPrimaryZone": "1",
"privateEndpointConnections": [],
"provisioningState": "Provisioning",
"readReplicas": [],
"serverNames": [
{
"name": "testcluster-c",
"fullyQualifiedDomainName": "c.testcluster.postgres.database.azure.com"
},
{
"name": "testcluster-w0",
"fullyQualifiedDomainName": "w0.testcluster.postgres.database.azure.com"
},
{
"name": "testcluster-w1",
"fullyQualifiedDomainName": "w1.testcluster.postgres.database.azure.com"
}
],
"sourceResourceId": null,
"state": "Provisioning"
},
"systemData": {
"createdAt": "2020-01-01T17:18:19.1234567Z",
"createdBy": "user1",
"createdByType": "User",
"lastModifiedAt": "2020-01-02T17:18:19.1234567Z",
"lastModifiedBy": "user2",
"lastModifiedByType": "User"
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/providers/Microsoft.DBforPostgreSQL/locations/westus/azureAsyncOperation/e276a03a-1770-4549-86f5-0edffae8997c?api-version=2023-03-02-preview
Location: https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/providers/Microsoft.DBforPostgreSQL/locations/westus/operationResults/e276a03a-1770-4549-86f5-0edffae8997c?api-version=2023-03-02-preview
{
"name": "testcluster",
"type": "Microsoft.DBforPostgreSQL/serverGroupsv2",
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestResourceGroup/providers/Microsoft.DBforPostgreSQL/serverGroupsv2/testcluster",
"location": "westus",
"properties": {
"aadAuthEnabled": "disabled",
"citusVersion": "11.1",
"coordinatorEnablePublicIpAccess": true,
"coordinatorServerEdition": "GeneralPurpose",
"coordinatorStorageQuotaInMb": 524288,
"coordinatorVCores": 4,
"dataEncryption": {
"type": "SystemManaged"
},
"databaseName": "citus",
"earliestRestoreTime": null,
"enableGeoBackup": false,
"enableHa": true,
"enableShardsOnCoordinator": false,
"maintenanceWindow": {
"customWindow": "Disabled",
"dayOfWeek": 0,
"startHour": 0,
"startMinute": 0
},
"nodeCount": 2,
"nodeEnablePublicIpAccess": false,
"nodeServerEdition": "MemoryOptimized",
"nodeStorageQuotaInMb": 524288,
"nodeVCores": 8,
"passwordEnabled": "enabled",
"postgresqlVersion": "15",
"preferredPrimaryZone": "1",
"privateEndpointConnections": [],
"provisioningState": "Provisioning",
"readReplicas": [],
"serverNames": [
{
"name": "testcluster-c",
"fullyQualifiedDomainName": "c.testcluster.postgres.database.azure.com"
},
{
"name": "testcluster-w0",
"fullyQualifiedDomainName": "w0.testcluster.postgres.database.azure.com"
},
{
"name": "testcluster-w1",
"fullyQualifiedDomainName": "w1.testcluster.postgres.database.azure.com"
}
],
"sourceResourceId": null,
"state": "Provisioning"
},
"systemData": {
"createdAt": "2020-01-01T17:18:19.1234567Z",
"createdBy": "user1",
"createdByType": "User",
"lastModifiedAt": "2020-01-02T17:18:19.1234567Z",
"lastModifiedBy": "user2",
"lastModifiedByType": "User"
}
}
Scale up storage
Exempelförfrågan
Exempelsvar
{
"name": "testcluster",
"type": "Microsoft.DBforPostgreSQL/serverGroupsv2",
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestResourceGroup/providers/Microsoft.DBforPostgreSQL/serverGroupsv2/testcluster",
"location": "westus",
"properties": {
"aadAuthEnabled": "disabled",
"administratorLogin": "citus",
"citusVersion": "11.1",
"coordinatorEnablePublicIpAccess": true,
"coordinatorServerEdition": "GeneralPurpose",
"coordinatorStorageQuotaInMb": 2097152,
"coordinatorVCores": 16,
"dataEncryption": {
"type": "SystemManaged"
},
"databaseName": "citus",
"earliestRestoreTime": "2020-09-14T00:00:37.467Z",
"enableHa": false,
"enableShardsOnCoordinator": false,
"maintenanceWindow": {
"customWindow": "Disabled",
"dayOfWeek": 0,
"startHour": 0,
"startMinute": 0
},
"nodeCount": 3,
"nodeEnablePublicIpAccess": false,
"nodeServerEdition": "MemoryOptimized",
"nodeStorageQuotaInMb": 2097152,
"nodeVCores": 16,
"passwordEnabled": "enabled",
"postgresqlVersion": "14",
"preferredPrimaryZone": "1",
"privateEndpointConnections": [],
"provisioningState": "Succeeded",
"readReplicas": [],
"serverNames": [
{
"name": "testcluster1-c",
"fullyQualifiedDomainName": "testcluster1-c.postgres.database.azure.com"
},
{
"name": "testcluster1-w0",
"fullyQualifiedDomainName": "testcluster1-w0.postgres.database.azure.com"
},
{
"name": "testcluster1-w1",
"fullyQualifiedDomainName": "testcluster1-w1.postgres.database.azure.com"
},
{
"name": "testcluster1-w2",
"fullyQualifiedDomainName": "testcluster1-w2.postgres.database.azure.com"
}
],
"sourceResourceId": null,
"state": "Ready"
},
"systemData": {
"createdAt": "2020-01-01T17:18:19.1234567Z",
"createdBy": "user1",
"createdByType": "User",
"lastModifiedAt": "2020-01-02T17:18:19.1234567Z",
"lastModifiedBy": "user2",
"lastModifiedByType": "User"
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/providers/Microsoft.DBforPostgreSQL/locations/westus/azureAsyncOperation/e276a03a-1770-4549-86f5-0edffae8997c?api-version=2023-03-02-preview
Location: https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/providers/Microsoft.DBforPostgreSQL/locations/westus/operationResults/e276a03a-1770-4549-86f5-0edffae8997c?api-version=2023-03-02-preview
{
"name": "testcluster",
"type": "Microsoft.DBforPostgreSQL/serverGroupsv2",
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestResourceGroup/providers/Microsoft.DBforPostgreSQL/serverGroupsv2/testcluster",
"location": "westus",
"properties": {
"aadAuthEnabled": "disabled",
"administratorLogin": "citus",
"citusVersion": "11.1",
"coordinatorEnablePublicIpAccess": true,
"coordinatorServerEdition": "GeneralPurpose",
"coordinatorStorageQuotaInMb": 2097152,
"coordinatorVCores": 16,
"dataEncryption": {
"type": "SystemManaged"
},
"databaseName": "citus",
"earliestRestoreTime": "2020-09-14T00:00:37.467Z",
"enableHa": false,
"enableShardsOnCoordinator": false,
"maintenanceWindow": {
"customWindow": "Disabled",
"dayOfWeek": 0,
"startHour": 0,
"startMinute": 0
},
"nodeCount": 3,
"nodeEnablePublicIpAccess": false,
"nodeServerEdition": "MemoryOptimized",
"nodeStorageQuotaInMb": 2097152,
"nodeVCores": 16,
"passwordEnabled": "enabled",
"postgresqlVersion": "14",
"preferredPrimaryZone": "1",
"privateEndpointConnections": [],
"provisioningState": "Succeeded",
"readReplicas": [],
"serverNames": [
{
"name": "testcluster1-c",
"fullyQualifiedDomainName": "testcluster1-c.postgres.database.azure.com"
},
{
"name": "testcluster1-w0",
"fullyQualifiedDomainName": "testcluster1-w0.postgres.database.azure.com"
},
{
"name": "testcluster1-w1",
"fullyQualifiedDomainName": "testcluster1-w1.postgres.database.azure.com"
},
{
"name": "testcluster1-w2",
"fullyQualifiedDomainName": "testcluster1-w2.postgres.database.azure.com"
}
],
"sourceResourceId": null,
"state": "Ready"
},
"systemData": {
"createdAt": "2020-01-01T17:18:19.1234567Z",
"createdBy": "user1",
"createdByType": "User",
"lastModifiedAt": "2020-01-02T17:18:19.1234567Z",
"lastModifiedBy": "user2",
"lastModifiedByType": "User"
}
}
Update multiple configuration settings of the cluster
Exempelförfrågan
PATCH https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestGroup/providers/Microsoft.DBforPostgreSQL/serverGroupsv2/testcluster?api-version=2023-03-02-preview
{
"properties": {
"administratorLoginPassword": "newpassword",
"coordinatorVCores": 16,
"nodeCount": 4,
"nodeVCores": 16
}
}
Exempelsvar
{
"name": "testcluster1",
"type": "Microsoft.DBforPostgreSQL/serverGroupsv2",
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestGroup/providers/Microsoft.DBforPostgreSQL/serverGroupsv2/testcluster1",
"location": "westus",
"properties": {
"aadAuthEnabled": "disabled",
"administratorLogin": "citus",
"citusVersion": "11.1",
"coordinatorEnablePublicIpAccess": true,
"coordinatorServerEdition": "GeneralPurpose",
"coordinatorStorageQuotaInMb": 2097152,
"coordinatorVCores": 16,
"dataEncryption": {
"type": "SystemManaged"
},
"databaseName": "citus",
"earliestRestoreTime": "2020-09-14T00:00:37.467Z",
"enableHa": false,
"enableShardsOnCoordinator": false,
"maintenanceWindow": {
"customWindow": "Disabled",
"dayOfWeek": 0,
"startHour": 0,
"startMinute": 0
},
"nodeCount": 4,
"nodeEnablePublicIpAccess": false,
"nodeServerEdition": "MemoryOptimized",
"nodeStorageQuotaInMb": 2097152,
"nodeVCores": 16,
"passwordEnabled": "enabled",
"postgresqlVersion": "14",
"preferredPrimaryZone": "1",
"privateEndpointConnections": [],
"provisioningState": "Succeeded",
"readReplicas": [
"/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBForPostgreSQL/serverGroupsv2/testreadreplica-01",
"/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBForPostgreSQL/serverGroupsv2/testreadreplica-02"
],
"serverNames": [
{
"name": "testcluster1-c",
"fullyQualifiedDomainName": "testcluster1-c.postgres.database.azure.com"
},
{
"name": "testcluster1-w0",
"fullyQualifiedDomainName": "testcluster1-w0.postgres.database.azure.com"
},
{
"name": "testcluster1-w1",
"fullyQualifiedDomainName": "testcluster1-w1.postgres.database.azure.com"
},
{
"name": "testcluster1-w2",
"fullyQualifiedDomainName": "testcluster1-w2.postgres.database.azure.com"
},
{
"name": "testcluster1-w3",
"fullyQualifiedDomainName": "testcluster1-w2.postgres.database.azure.com"
}
],
"sourceResourceId": null,
"state": "Ready"
},
"systemData": {
"createdAt": "2020-01-01T17:18:19.1234567Z",
"createdBy": "user1",
"createdByType": "User",
"lastModifiedAt": "2020-01-02T17:18:19.1234567Z",
"lastModifiedBy": "user2",
"lastModifiedByType": "User"
},
"tags": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/providers/Microsoft.DBforPostgreSQL/locations/westus/azureAsyncOperation/e276a03a-1770-4549-86f5-0edffae8997c?api-version=2023-03-02-preview
Location: https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/providers/Microsoft.DBforPostgreSQL/locations/westus/operationResults/e276a03a-1770-4549-86f5-0edffae8997c?api-version=2023-03-02-preview
{
"name": "testcluster1",
"type": "Microsoft.DBforPostgreSQL/serverGroupsv2",
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestGroup/providers/Microsoft.DBforPostgreSQL/serverGroupsv2/testcluster1",
"location": "westus",
"properties": {
"aadAuthEnabled": "disabled",
"administratorLogin": "citus",
"citusVersion": "11.1",
"coordinatorEnablePublicIpAccess": true,
"coordinatorServerEdition": "GeneralPurpose",
"coordinatorStorageQuotaInMb": 2097152,
"coordinatorVCores": 16,
"dataEncryption": {
"type": "SystemManaged"
},
"databaseName": "citus",
"earliestRestoreTime": "2020-09-14T00:00:37.467Z",
"enableHa": false,
"enableShardsOnCoordinator": false,
"maintenanceWindow": {
"customWindow": "Disabled",
"dayOfWeek": 0,
"startHour": 0,
"startMinute": 0
},
"nodeCount": 4,
"nodeEnablePublicIpAccess": false,
"nodeServerEdition": "MemoryOptimized",
"nodeStorageQuotaInMb": 2097152,
"nodeVCores": 16,
"passwordEnabled": "enabled",
"postgresqlVersion": "14",
"preferredPrimaryZone": "1",
"privateEndpointConnections": [],
"provisioningState": "Succeeded",
"readReplicas": [
"/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBForPostgreSQL/serverGroupsv2/testreadreplica-01",
"/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/testrg/providers/Microsoft.DBForPostgreSQL/serverGroupsv2/testreadreplica-02"
],
"serverNames": [
{
"name": "testcluster1-c",
"fullyQualifiedDomainName": "testcluster1-c.postgres.database.azure.com"
},
{
"name": "testcluster1-w0",
"fullyQualifiedDomainName": "testcluster1-w0.postgres.database.azure.com"
},
{
"name": "testcluster1-w1",
"fullyQualifiedDomainName": "testcluster1-w1.postgres.database.azure.com"
},
{
"name": "testcluster1-w2",
"fullyQualifiedDomainName": "testcluster1-w2.postgres.database.azure.com"
},
{
"name": "testcluster1-w3",
"fullyQualifiedDomainName": "testcluster1-w2.postgres.database.azure.com"
}
],
"sourceResourceId": null,
"state": "Ready"
},
"systemData": {
"createdAt": "2020-01-01T17:18:19.1234567Z",
"createdBy": "user1",
"createdByType": "User",
"lastModifiedAt": "2020-01-02T17:18:19.1234567Z",
"lastModifiedBy": "user2",
"lastModifiedByType": "User"
},
"tags": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
}
Update or define maintenance window
Exempelförfrågan
PATCH https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestGroup/providers/Microsoft.DBforPostgreSQL/serverGroupsv2/testcluster?api-version=2023-03-02-preview
{
"properties": {
"maintenanceWindow": {
"customWindow": "Enabled",
"dayOfWeek": 0,
"startHour": 8,
"startMinute": 0
}
}
}
Exempelsvar
{
"name": "testcluster",
"type": "Microsoft.DBforPostgreSQL/serverGroupsv2",
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestResourceGroup/providers/Microsoft.DBforPostgreSQL/serverGroupsv2/testcluster",
"location": "westus",
"properties": {
"aadAuthEnabled": "disabled",
"administratorLogin": "citus",
"citusVersion": "11.1",
"coordinatorEnablePublicIpAccess": true,
"coordinatorServerEdition": "GeneralPurpose",
"coordinatorStorageQuotaInMb": 2097152,
"coordinatorVCores": 16,
"dataEncryption": {
"type": "SystemManaged"
},
"databaseName": "citus",
"earliestRestoreTime": "2020-09-14T00:00:37.467Z",
"enableHa": false,
"enableShardsOnCoordinator": false,
"maintenanceWindow": {
"customWindow": "Enabled",
"dayOfWeek": 0,
"startHour": 8,
"startMinute": 0
},
"nodeCount": 2,
"nodeEnablePublicIpAccess": false,
"nodeServerEdition": "MemoryOptimized",
"nodeStorageQuotaInMb": 2097152,
"nodeVCores": 16,
"passwordEnabled": "enabled",
"postgresqlVersion": "14",
"preferredPrimaryZone": "1",
"privateEndpointConnections": [],
"provisioningState": "Succeeded",
"readReplicas": [],
"serverNames": [
{
"name": "testcluster1-c",
"fullyQualifiedDomainName": "testcluster1-c.postgres.database.azure.com"
},
{
"name": "testcluster1-w0",
"fullyQualifiedDomainName": "testcluster1-w0.postgres.database.azure.com"
},
{
"name": "testcluster1-w1",
"fullyQualifiedDomainName": "testcluster1-w1.postgres.database.azure.com"
}
],
"sourceResourceId": null,
"state": "Ready"
},
"systemData": {
"createdAt": "2020-01-01T17:18:19.1234567Z",
"createdBy": "user1",
"createdByType": "User",
"lastModifiedAt": "2020-01-02T17:18:19.1234567Z",
"lastModifiedBy": "user2",
"lastModifiedByType": "User"
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/providers/Microsoft.DBforPostgreSQL/locations/westus/azureAsyncOperation/e276a03a-1770-4549-86f5-0edffae8997c?api-version=2023-03-02-preview
Location: https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/providers/Microsoft.DBforPostgreSQL/locations/westus/operationResults/e276a03a-1770-4549-86f5-0edffae8997c?api-version=2023-03-02-preview
{
"name": "testcluster",
"type": "Microsoft.DBforPostgreSQL/serverGroupsv2",
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestResourceGroup/providers/Microsoft.DBforPostgreSQL/serverGroupsv2/testcluster",
"location": "westus",
"properties": {
"aadAuthEnabled": "disabled",
"administratorLogin": "citus",
"citusVersion": "11.1",
"coordinatorEnablePublicIpAccess": true,
"coordinatorServerEdition": "GeneralPurpose",
"coordinatorStorageQuotaInMb": 2097152,
"coordinatorVCores": 16,
"dataEncryption": {
"type": "SystemManaged"
},
"databaseName": "citus",
"earliestRestoreTime": "2020-09-14T00:00:37.467Z",
"enableHa": false,
"enableShardsOnCoordinator": false,
"maintenanceWindow": {
"customWindow": "Enabled",
"dayOfWeek": 0,
"startHour": 8,
"startMinute": 0
},
"nodeCount": 2,
"nodeEnablePublicIpAccess": false,
"nodeServerEdition": "MemoryOptimized",
"nodeStorageQuotaInMb": 2097152,
"nodeVCores": 16,
"passwordEnabled": "enabled",
"postgresqlVersion": "14",
"preferredPrimaryZone": "1",
"privateEndpointConnections": [],
"provisioningState": "Succeeded",
"readReplicas": [],
"serverNames": [
{
"name": "testcluster1-c",
"fullyQualifiedDomainName": "testcluster1-c.postgres.database.azure.com"
},
{
"name": "testcluster1-w0",
"fullyQualifiedDomainName": "testcluster1-w0.postgres.database.azure.com"
},
{
"name": "testcluster1-w1",
"fullyQualifiedDomainName": "testcluster1-w1.postgres.database.azure.com"
}
],
"sourceResourceId": null,
"state": "Ready"
},
"systemData": {
"createdAt": "2020-01-01T17:18:19.1234567Z",
"createdBy": "user1",
"createdByType": "User",
"lastModifiedAt": "2020-01-02T17:18:19.1234567Z",
"lastModifiedBy": "user2",
"lastModifiedByType": "User"
}
}
Definitioner
| Namn | Beskrivning |
|---|---|
|
Aad |
Anger om klustret skapades med AAD-autentisering. |
|
Active |
|
|
Auth |
Autentiseringskonfiguration för ett kluster. |
| Cluster |
Representerar ett kluster. |
|
Cluster |
Representerar ett kluster för uppdatering. |
|
created |
Den typ av identitet som skapade resursen. |
|
Data |
Datakrypteringsegenskaperna för ett kluster. |
|
Data |
|
|
Error |
Ytterligare information om resurshanteringsfelet. |
|
Error |
Felinformationen. |
|
Error |
Felsvar |
|
Identity |
Beskriver klustrets identitet. |
|
Identity |
|
|
Maintenance |
Schemalägg inställningar för regelbundna klusteruppdateringar. |
|
Password |
|
|
Password |
Anger om klustret skapades med ett lösenord eller med hjälp av AAD-autentisering. |
|
Private |
Egenskap som representerar resurs-ID för den privata slutpunkten. |
|
Private |
Anslutningsstatus för privat slutpunkt. |
|
Private |
En samling med information om tillståndet för anslutningen mellan tjänstkonsumenten och leverantören. |
|
Server |
Namnobjektet för en server. |
|
Simple |
En privat slutpunktsanslutning. |
|
system |
Metadata som rör skapande och senaste ändring av resursen. |
|
User |
Användartilldelade identitetsegenskaper |
AadEnabledEnum
Anger om klustret skapades med AAD-autentisering.
| Värde | Beskrivning |
|---|---|
| enabled | |
| disabled |
ActiveDirectoryAuth
| Värde | Beskrivning |
|---|---|
| enabled | |
| disabled |
AuthConfig
Autentiseringskonfiguration för ett kluster.
| Namn | Typ | Beskrivning |
|---|---|---|
| activeDirectoryAuth | ||
| passwordAuth |
Cluster
Representerar ett kluster.
| Namn | Typ | Beskrivning |
|---|---|---|
| id |
string (arm-id) |
Fullständigt kvalificerat resurs-ID för resursen. Till exempel "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| identity |
Beskriver klustrets identitet. |
|
| location |
string |
Den geo-plats där resursen finns |
| name |
string |
Namnet på resursen |
| properties.aadAuthEnabled |
Anger om klustret skapades med AAD-autentisering. |
|
| properties.administratorLogin |
string |
Administratörens inloggningsnamn för servrarna i klustret. |
| properties.administratorLoginPassword |
string (password) |
Lösenordet för administratörsinloggningen. Krävs för att skapa. |
| properties.authConfig |
Autentiseringskonfiguration för ett kluster. |
|
| properties.citusVersion |
string |
Citus-tilläggsversionen på alla klusterservrar. |
| properties.coordinatorEnablePublicIpAccess |
boolean |
Om offentlig åtkomst är aktiverad på koordinatorn. |
| properties.coordinatorServerEdition |
string |
Utgåvan av en koordinatorserver (standard: GeneralPurpose). Krävs för att skapa. |
| properties.coordinatorStorageQuotaInMb |
integer (int32) |
Lagring av en server i MB. Krävs för att skapa. Mer information finns i https://learn.microsoft.com/azure/cosmos-db/postgresql/resources-compute. |
| properties.coordinatorVCores |
integer (int32) |
Antalet virtuella kärnor för en server (max: 96). Krävs för att skapa. Mer information finns i https://learn.microsoft.com/azure/cosmos-db/postgresql/resources-compute. |
| properties.dataEncryption |
Datakrypteringsegenskaperna för ett kluster. |
|
| properties.databaseName |
string |
Klustrets databasnamn. Endast en databas per kluster stöds. |
| properties.earliestRestoreTime |
string (date-time) |
Den tidigaste återställningspunkten (ISO8601 format) för klustret. |
| properties.enableGeoBackup |
boolean |
Om klustersäkerhetskopiering lagras i en annan Azure-region utöver kopian av säkerhetskopian som lagras i klustrets region. Aktiverad endast när klustret skapas. |
| properties.enableHa |
boolean |
Om hög tillgänglighet (HA) är aktiverat eller inte för klustret. |
| properties.enableShardsOnCoordinator |
boolean |
Om distribuerade tabeller placeras på koordinator eller inte. Ska anges till "true" i kluster med en enda nod. Kräver horisontell ombalansering när värdet har ändrats. |
| properties.maintenanceWindow |
Underhållsperiod för ett kluster. |
|
| properties.nodeCount |
integer (int32) |
Antal arbetsnoder i klustret. När antalet noder är 0 representerar det en konfiguration med en enda nod med möjlighet att skapa distribuerade tabeller på noden. 2 eller fler arbetsnoder representerar konfiguration med flera noder. Värdet för antal noder får inte vara 1. Krävs för att skapa. |
| properties.nodeEnablePublicIpAccess |
boolean |
Om offentlig åtkomst är aktiverad på arbetsnoder. |
| properties.nodeServerEdition |
string |
Utgåvan av en nodserver (standard: MemoryOptimized). |
| properties.nodeStorageQuotaInMb |
integer (int32) |
Lagringen i MB på varje arbetsnod. Mer information finns i https://learn.microsoft.com/azure/cosmos-db/postgresql/resources-compute. |
| properties.nodeVCores |
integer (int32) |
Beräkningen i virtuella kärnor på varje arbetsnod (max: 104). Mer information finns i https://learn.microsoft.com/azure/cosmos-db/postgresql/resources-compute. |
| properties.passwordEnabled |
Anger om klustret skapades med ett lösenord eller med hjälp av AAD-autentisering. |
|
| properties.pointInTimeUTC |
string (date-time) |
Datum och tid i UTC (ISO8601 format) för klusteråterställning. |
| properties.postgresqlVersion |
string |
Den större PostgreSQL-versionen på alla klusterservrar. |
| properties.preferredPrimaryZone |
string |
Prioriterad primär tillgänglighetszon (AZ) för alla klusterservrar. |
| properties.privateEndpointConnections |
Privata slutpunktsanslutningar för ett kluster. |
|
| properties.provisioningState |
string |
Etableringstillstånd för klustret |
| properties.readReplicas |
string[] |
Matrisen med skrivskyddade replikkluster. |
| properties.serverNames |
Listan över servernamn i klustret |
|
| properties.sourceLocation |
string |
Azure-regionen för källkluster för skrivskyddade replikkluster. |
| properties.sourceResourceId |
string |
Resurs-ID för källkluster för skrivskyddade replikkluster. |
| properties.state |
string |
Ett tillstånd för ett kluster/en server som är synligt för användaren. |
| systemData |
Azure Resource Manager-metadata som innehåller createdBy och modifiedBy information. |
|
| tags |
object |
Resurstaggar. |
| type |
string |
Resurstypen. Till exempel "Microsoft.Compute/virtualMachines" eller "Microsoft.Storage/storageAccounts" |
ClusterForUpdate
Representerar ett kluster för uppdatering.
| Namn | Typ | Beskrivning |
|---|---|---|
| identity |
Beskriver klustrets identitet. |
|
| properties.administratorLoginPassword |
string (password) |
Lösenordet för administratörsinloggningen. Varje kluster skapas med fördefinierade administrativa roller som kallas "citus". |
| properties.citusVersion |
string |
Citus-tilläggsversionen på alla klusterservrar. |
| properties.coordinatorEnablePublicIpAccess |
boolean |
Om offentlig åtkomst är aktiverad på koordinatorn. |
| properties.coordinatorServerEdition |
string |
Koordinatorversionen (standard: GeneralPurpose). |
| properties.coordinatorStorageQuotaInMb |
integer (int32) |
Lagringen av koordinatorn i MB. |
| properties.coordinatorVCores |
integer (int32) |
Antalet virtuella kärnor för koordinatorn (max: 96). |
| properties.enableHa |
boolean |
Om hög tillgänglighet (HA) är aktiverat eller inte för klustret. |
| properties.enableShardsOnCoordinator |
boolean |
Om distribuerade tabeller placeras på koordinator eller inte. Ska anges till "true" i kluster med en enda nod. Kräver horisontell ombalansering när värdet har ändrats. |
| properties.maintenanceWindow |
Underhållsperiod för ett kluster. |
|
| properties.nodeCount |
integer (int32) |
Antal arbetsnoder i klustret. När antalet noder är 0 representerar det en konfiguration med en enda nod med möjlighet att skapa distribuerade tabeller på noden. 2 eller fler arbetsnoder representerar konfiguration med flera noder. Värdet för antal noder får inte vara 1. |
| properties.nodeEnablePublicIpAccess |
boolean |
Om offentlig åtkomst är aktiverad på arbetsnoder. |
| properties.nodeServerEdition |
string |
Utgåvan av en nod (standard: MemoryOptimized). |
| properties.nodeStorageQuotaInMb |
integer (int32) |
Lagringen i MB på varje arbetsnod. |
| properties.nodeVCores |
integer (int32) |
Beräkningen i virtuella kärnor på varje arbetsnod (max: 104). |
| properties.postgresqlVersion |
string |
Den större PostgreSQL-versionen på alla klusterservrar. |
| properties.preferredPrimaryZone |
string |
Prioriterad primär tillgänglighetszon (AZ) för alla klusterservrar. |
| tags |
object |
Programspecifika metadata i form av nyckel/värde-par. |
createdByType
Den typ av identitet som skapade resursen.
| Värde | Beskrivning |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
DataEncryption
Datakrypteringsegenskaperna för ett kluster.
| Namn | Typ | Beskrivning |
|---|---|---|
| primaryKeyUri |
string |
URI för nyckeln i keyvault för datakryptering av den primära servern. |
| primaryUserAssignedIdentityId |
string |
Resurs-ID för den användartilldelade identitet som ska användas för datakryptering av den primära servern. |
| type |
DataEncryptionType
| Värde | Beskrivning |
|---|---|
| AzureKeyVault | |
| SystemAssigned |
ErrorAdditionalInfo
Ytterligare information om resurshanteringsfelet.
| Namn | Typ | Beskrivning |
|---|---|---|
| info |
object |
Ytterligare information. |
| type |
string |
Ytterligare informationstyp. |
ErrorDetail
Felinformationen.
| Namn | Typ | Beskrivning |
|---|---|---|
| additionalInfo |
Ytterligare information om felet. |
|
| code |
string |
Felkoden. |
| details |
Felinformationen. |
|
| message |
string |
Felmeddelandet. |
| target |
string |
Felmålet. |
ErrorResponse
Felsvar
| Namn | Typ | Beskrivning |
|---|---|---|
| error |
Felobjektet. |
IdentityProperties
Beskriver klustrets identitet.
| Namn | Typ | Beskrivning |
|---|---|---|
| type | ||
| userAssignedIdentities |
<string,
User |
Uppsättningen användartilldelade identiteter som är associerade med resursen. Ordlistenycklarna userAssignedIdentities är ARM-resurs-ID:er i formuläret: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. Ordlistevärdena kan vara tomma objekt ({}) i begäranden. |
IdentityType
| Värde | Beskrivning |
|---|---|
| UserAssigned | |
| SystemAssigned |
MaintenanceWindow
Schemalägg inställningar för regelbundna klusteruppdateringar.
| Namn | Typ | Beskrivning |
|---|---|---|
| customWindow |
string |
Anger om fönstret för anpassat underhåll är aktiverat eller inte. |
| dayOfWeek |
integer (int32) |
Önskad dag i veckan för underhållsperiod. |
| startHour |
integer (int32) |
Starttimmes inom önskad dag i veckan för underhållsperiod. |
| startMinute |
integer (int32) |
Startminut inom starttimmes för underhållsperiod. |
PasswordAuth
| Värde | Beskrivning |
|---|---|
| enabled | |
| disabled |
PasswordEnabledEnum
Anger om klustret skapades med ett lösenord eller med hjälp av AAD-autentisering.
| Värde | Beskrivning |
|---|---|
| enabled | |
| disabled |
PrivateEndpointProperty
Egenskap som representerar resurs-ID för den privata slutpunkten.
| Namn | Typ | Beskrivning |
|---|---|---|
| id |
string |
Resurs-ID för den privata slutpunkten. |
PrivateEndpointServiceConnectionStatus
Anslutningsstatus för privat slutpunkt.
| Värde | Beskrivning |
|---|---|
| Pending | |
| Approved | |
| Rejected |
PrivateLinkServiceConnectionState
En samling med information om tillståndet för anslutningen mellan tjänstkonsumenten och leverantören.
| Namn | Typ | Beskrivning |
|---|---|---|
| actionsRequired |
string |
Ett meddelande som anger om ändringar på tjänstleverantören kräver några uppdateringar på konsumenten. |
| description |
string |
Orsak till godkännande/avvisande av anslutningen. |
| status |
Anger om anslutningen har godkänts/avvisats/tagits bort av tjänstens ägare. |
ServerNameItem
Namnobjektet för en server.
| Namn | Typ | Beskrivning |
|---|---|---|
| fullyQualifiedDomainName |
string |
Det fullständigt kvalificerade domännamnet för en server. |
| name |
string |
Namnet på en server. |
SimplePrivateEndpointConnection
En privat slutpunktsanslutning.
| Namn | Typ | Beskrivning |
|---|---|---|
| id |
string (arm-id) |
Fullständigt kvalificerat resurs-ID för resursen. Till exempel "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| name |
string |
Namnet på resursen |
| properties.groupIds |
string[] |
Grupp-ID:t för den privata slutpunktsanslutningen. |
| properties.privateEndpoint |
Privat slutpunkt som anslutningen tillhör. |
|
| properties.privateLinkServiceConnectionState |
En samling med information om tillståndet för anslutningen mellan tjänstkonsumenten och leverantören. |
|
| systemData |
Azure Resource Manager-metadata som innehåller createdBy och modifiedBy information. |
|
| type |
string |
Resurstypen. Till exempel "Microsoft.Compute/virtualMachines" eller "Microsoft.Storage/storageAccounts" |
systemData
Metadata som rör skapande och senaste ändring av resursen.
| Namn | Typ | Beskrivning |
|---|---|---|
| createdAt |
string (date-time) |
Tidsstämpeln för resursskapande (UTC). |
| createdBy |
string |
Identiteten som skapade resursen. |
| createdByType |
Den typ av identitet som skapade resursen. |
|
| lastModifiedAt |
string (date-time) |
Tidsstämpeln för resursens senaste ändring (UTC) |
| lastModifiedBy |
string |
Identiteten som senast ändrade resursen. |
| lastModifiedByType |
Den typ av identitet som senast ändrade resursen. |
UserAssignedIdentity
Användartilldelade identitetsegenskaper
| Namn | Typ | Beskrivning |
|---|---|---|
| clientId |
string (uuid) |
Klient-ID för den tilldelade identiteten. |
| principalId |
string (uuid) |
Huvud-ID för den tilldelade identiteten. |